package com.sd.business.entity.work.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 生产工单
 * </p>
 *
 * @author
 * @since 2024-01-02
 */
@Getter
@Setter
@TableName("work_order")
public class WorkOrder extends BasePo {

    /**
     * 编号
     */
    private String code;

    /**
     * 1固定尺寸排版 2随机排版
     */
    private Integer type;

    /**
     * 固定尺寸排版规格参数
     */
    private String fixationSpec;

    /**
     * 主材bom规格id
     */
    private Long masterBomSpecId;

    /**
     * 打印纸bom规格id
     */
    private Long printingPaperBomSpecId;

    /**
     * 排单数量
     */
    private BigDecimal schedulingNum;

    /**
     * 利用率
     */
    private BigDecimal useRatio;

    /**
     * 最大长度
     */
    private BigDecimal maxLength;

    /**
     * 是否同步生产
     */
    private Integer syncProduction;

    /**
     * 是否铺满
     */
    private Integer integrity;

}
