package com.sd.business.entity.work.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 生产工单明细
 * </p>
 *
 * @author
 * @since 2024-01-02
 */
@Getter
@Setter
@TableName("work_order_detail")
public class WorkOrderDetail extends BasePo {

    /**
     * 工单id
     */
    private Long workOrderId;

    /**
     * 订单id
     */
    private Long orderInfoId;

    /**
     * 订单明细id
     */
    private Long orderSkuId;

    /**
     * x轴坐标
     */
    private BigDecimal x;

    /**
     * y轴坐标
     */
    private BigDecimal y;

    /**
     * 长（考虑旋转后的）
     */
    private BigDecimal length;

    /**
     * 宽（考虑旋转后的）
     */
    private BigDecimal width;

    /**
     * 出血长（考虑旋转后的）
     */
    private BigDecimal bleedingLength;

    /**
     * 出血宽（考虑旋转后的）
     */
    private BigDecimal bleedingWidth;

    /**
     * 是否旋转
     */
    private Integer rotate;

}
